XUnmapWindow(__libmansuffix__)

NAME
XUnmapWindow, XUnmapSubwindows - unmap windows

SYNTAX

int XUnmapWindow(Display *display, Window w);

int XUnmapSubwindows(Display *display, Window w);

ARGUMENTS

display
    Specifies the connection to the X server.

w   Specifies the window.

DESCRIPTION
The XUnmapWindow function unmaps the specified window and causes the X server to generate an UnmapNotify event. If the specified window is already unmapped, XUnmapWindow has no effect. Normal exposure processing on formerly obscured windows is performed. Any child window will no longer be visible until another map call is made on the parent. In other words, the subwindows are still mapped but are not visible until the parent is mapped. Unmapping a window will generate Expose events on windows that were formerly obscured by it.

XUnmapWindow can generate a BadWindow error.

The XUnmapSubwindows function unmaps all subwindows for the specified window in bottom-to-top stacking order. It causes the X server to generate an UnmapNotify event on each subwindow and Expose events on formerly obscured windows. Using this function is much more efficient than unmapping multiple windows one at a time because the server needs to perform much of the work only once, for all of the windows, rather than for each window.

XUnmapSubwindows can generate a BadWindow error.

DIAGNOSTICS

BadWindow
    A value for a Window argument does not name a defined Window.

SEE ALSO
XChangeWindowAttributes(__libmansuffix__), XConfigureWindow(__libmansuffix__), XCreateWindow(__libmansuffix__), XDestroyWindow(__libmansuffix__), XMapWindow(__libmansuffix__) XRaiseWindow(__libmansuffix__)
Xlib - C Language X Interface